﻿module internal DataAccess

    open System
    open System.IO

    let CreateSampleTextFilesPath = __SOURCE_DIRECTORY__ + "\\TextFiles\\"

    let FindSampleTextFiles path =
        Directory.GetFiles(path, "*", SearchOption.TopDirectoryOnly)

    let ListSampleFiles =
        CreateSampleTextFilesPath
        |> FindSampleTextFiles

    let SelectRandomSampleFile() =
        let files = ListSampleFiles
        files.[Random().Next(0, files.Length)]

    let LoadFile path = File.ReadAllText(path)